<template>
    <div class="container-fluid h-100">
        <div class="row h-100">
            <aside class="col-md-2 d-none d-md-block p-0 bg-primary text-light" style="min-height: 100vh;">
                <nav class="navbar navbar-expand navbar-dark flex-md-column flex-row align-items-start">
                    <div class="w-100 collapse navbar-collapse">
                        <div>
                            <b-row>
                                <h3 class="font-weight-normal py-3 pl-3">Post</h3>
                            </b-row>
                            <b-row>
                                <ul class="link-list flex-column navbar-nav w-100 justify-content-between">
                                    <li class="nav-item">
                                        <router-link class="text-light text-decoration-none" to="/articles">
                                            <h5>Articles</h5>
                                        </router-link>
                                    </li>
                                    <li class="nav-item">
                                        <router-link class="text-light text-decoration-none" to="/articles/create">
                                            <h5>New Article</h5>
                                        </router-link>
                                    </li>
                                </ul>
                            </b-row>
                        </div>
                    </div>
                </nav>
            </aside>
            <div class="col-md-10 col-sm-12">
                <router-view></router-view>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "SideBar"
    };
</script>
<style>
    .link-list {
        padding: 0 30px;
    }
</style>